org.springframework.data.repository.config

## Interface ImplementationLookupConfiguration

All Superinterfaces:
  ImplementationDetectionConfiguration

    public interface ImplementationLookupConfiguration
    extends ImplementationDetectionConfiguration

Configuration that's used to lookup an implementation type for a repository or fragment interface.

Since:
  2.1
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getImplementationBeanName()` Returns the bean name of the implementation to be looked up.
`String` `getImplementationClassName()` Returns the simple name of the class to be looked up.
`boolean` `hasMatchingBeanName(BeanDefinition definition)` Returns whether the bean name created for the given bean definition results in the one required.
`boolean` `matches(BeanDefinition definition)` Return whether the given `BeanDefinition` matches the lookup configuration.

### Methods inherited from interface org.springframework.data.repository.config.ImplementationDetectionConfiguration

`forFragment, forRepositoryConfiguration, generateBeanName, getBasePackages, getExcludeFilters, getImplementationPostfix, getMetadataReaderFactory`

### Method Detail

#### getImplementationBeanName

    String getImplementationBeanName()

Returns the bean name of the implementation to be looked up.

Returns:
  must not be null.

#### getImplementationClassName

    String getImplementationClassName()

Returns the simple name of the class to be looked up.

Returns:
  must not be null.

#### matches

    boolean matches(BeanDefinition definition)

Return whether the given `BeanDefinition` matches the lookup configuration.

Parameters:
  `definition` - must not be null.
Returns:

#### hasMatchingBeanName

    boolean hasMatchingBeanName(BeanDefinition definition)

Returns whether the bean name created for the given bean definition results in the one required. Will be used to disambiguate between multiple `BeanDefinition`s matching in general.

Parameters:
  `definition` - must not be null.
Returns:
See Also:
  `matches(BeanDefinition)`